// Setting font-size using fonts map from variables.css
//
// @params {String} $size: key from $fonts map in 'variables.css'
// @return value: css property
@mixin set-font-size($size) {
  font-size: map-get($fonts, $size);
}

// Media of at least the minimum breakpoint width. No query for the smallest breakpoint.
//
// @params {String} $size: screen size the content msulould be applied
//     Example: "md" would be the key from $breakpoints map in 'variables.css'
// Makes the @content apply to the given breakpoint.
@mixin wrap-media-min($name) {
  $min: breakpoint-min($name);
  @if $min {
    @media (min-width: $min) {
      @content;
    }

  } @else {
    @content;
  }
}
